Skip to main content
`Ctrl`+`K`

# PetscSectionClone

Creates a shallow (if possible) copy of the `PetscSection`

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionClone(PetscSection section, PetscSection *newSection)

Collective

## Input Parameter

- section - the `PetscSection`

## Output Parameter

- newSection - the copy

## Developer Notes

With standard PETSc terminology this should be called `PetscSectionDuplicate()`

## See Also

PetscSection, `PetscSection`, `PetscSectionCreate()`, `PetscSectionDestroy()`, `PetscSectionCopy()`

## Level

beginner

## Location

src/vec/is/section/interface/section.c

## Examples

src/ts/tutorials/ex18.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages